Bug 861893 - Review Request: libmongo-client - Alternative C driver for MongoDB
Review Request: libmongo-client - Alternative C driver for MongoDB
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 05:19 EDT by Milan Bartos
Modified: 2014-07-28 09:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-22 08:55:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mitr: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Milan Bartos 2012-10-01 05:19:12 EDT
Spec URL: http://mbartos.fedorapeople.org/libmongo-client.spec
SRPM URL: http://mbartos.fedorapeople.org/libmongo-client-0.1.5-1.fc17.src.rpm
Description: Alternative C driver for MongoDB. Libmongo-client is meant
to be a stable (API, ABI and quality alike), clean, well documented
and well tested shared library, that strives to make the most
common use cases as convenient as possible.
Fedora Account System Username: mbartos


Hi,

there is a spec file and src.rpm file for libmongo-client, an alternative C driver for mongodb and I'd appreciate a review.

Thanks,
Milan Bartos
Comment 1 Eduardo Echeverria 2012-10-01 14:58:31 EDT
Hi Milan
Initial Comments:

%{name} = %{version}-%{release} has to be %{name}%{?_isa} = %{version}-%{release} to match the correct architecture.

Please rpmlint out of the SRPMS, spec and RPMS

and additionally Koji Builds of the versions where you want to build the package.

Regards
Comment 2 Milan Bartos 2012-10-02 03:08:24 EDT
New spec file and src.rpm are at http://mbartos.fedorapeople.org/libmongo_client-0.1.5-2/

rpmlint output:
$ rpmlint ../RPMS/x86_64/libmongo-client-*0.1.5-2* ../SRPMS/libmongo-client-0.1.5-2.fc17.src.rpm libmongo-client.spec
libmongo-client-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 3 Eduardo Echeverria 2012-10-02 12:00:47 EDT
Hi Milan 
- Spec files placed in sight, fedora-review seek the rpm release number for to check always the last

- You have a warning :
libmongo-client-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.
**You don't have docs in devel packages ***

- just as an example, although there are many right ways to do it
find . -type f -name "FILE-TO-FIND" -exec rm -f {} \;

- Because if you do not build specifically static libraries?
%configure --disable-static
You run rm -rf to delete file .a? 
Best Regards
Comment 4 Milan Bartos 2012-10-03 03:31:40 EDT
> - Because if you do not build specifically static libraries?
> %configure --disable-static
> You run rm -rf to delete file .a? 
I run rm -f %{buildroot}/%{_libdir}/*.{a,la} to delete .a and .la files. I know that .a shouldn't be there because of --disable-static, it's there just to be sure.
Comment 5 Eduardo Echeverria 2012-10-03 03:51:13 EDT
Hi Milan 
Well, IMHO you should to remove this option,
You will see in the compile time what not created this static libs

Could put the docs in the devel package?
Comment 6 Eduardo Echeverria 2012-10-03 04:08:39 EDT
You could also put the link in Source0 of upstream, or document the way it was downloaded 

example
https://github.com/algernon/libmongo-client
# Sources from github
# git://github.com/algernon/libmongo-client.git
# cd libmongo
# git archive ....
Comment 7 Milan Bartos 2012-10-03 04:33:43 EDT
Hi Eduardo,

> Well, IMHO you should to remove this option,
Why?

> Could put the docs in the devel package?
Added. New src.rpm and spec files are at http://mbartos.fedorapeople.org/libmongo-client-0.1.5-3/


New rpmlint:
$ rpmlint ../RPMS/x86_64/libmongo-client-* ../SRPMS/libmongo-client-0.1.5-3.fc17.src.rpm libmongoclient.spec
4 packages and 1 specfiles checked; 0 errors, 0 warnings.
$

> You could also put the link in Source0 of upstream, or document the way it was > downloaded
That's good suggestion. Added.

Thanks,
Milan
Comment 8 Eduardo Echeverria 2012-10-03 05:10:40 EDT
Hi Milan

http://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

Cite: "Or if there's a lot of documentation, consider putting it into a subpackage. In this case, it is recommended to use *-doc as the subpackage name, and Documentation as the value of the Group tag".

Note: No URL need  in Source0 
http://fedoraproject.org/wiki/Packaging:SourceURL#Troublesome_URLs

Regards
Comment 10 Milan Bartos 2012-10-03 05:27:22 EDT
Spec URL: http://mbartos.fedorapeople.org/libmongo-client-0.1.5-4/libmongo-client.spec
SRPM URL: http://mbartos.fedorapeople.org/libmongo-client-0.1.5-4/libmongo-client-0.1.5-4.fc17.src.rpm

Hi,

I've added doc as a separate package and fixed "No URL need in Source0".

Regards,
Milan
Comment 11 Eduardo Echeverria 2012-10-03 06:00:57 EDT
Not build in Koji 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4554524
Output => 
./autogen.sh
./autogen.sh: line 3: libtoolize: command not found
./autogen.sh: line 4: aclocal: command not found
./autogen.sh: line 5: autoheader: command not found
./autogen.sh: line 6: automake: command not found
./autogen.sh: line 7: autoconf: command not found
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.fZG7L7 (%build)
Comment 12 Milan Bartos 2012-10-03 06:41:06 EDT
Spec URL: http://mbartos.fedorapeople.org/libmongo-client-0.1.5-5/libmongo-client.spec
SRPM URL: http://mbartos.fedorapeople.org/libmongo-client-0.1.5-5/libmongo-client-0.1.5-5.fc17.src.rpm

Sorry, forgot to add dependencies for autogen.sh
New spec file and src.rpm.
Tested with mock.
Comment 13 Miloslav Trmač 2012-10-05 11:48:36 EDT
rpmlint output:
> libmongo-client.src: W: invalid-url Source0: libmongo-client-0.1.5.tar.gz
> libmongo-client-devel.x86_64: W: no-documentation
both OK.

Review blocker:
* The /usr/include/mongo-client needs to be owned by the -devel package

ACCEPTED assuming the above is fixed.
Comment 15 Milan Bartos 2012-10-08 08:40:36 EDT
New Package SCM Request
=======================
Package Name: libmongo-client
Short Description: Alternative C driver for MongoDB
Owners: mbartos
Branches: f17 f18
Comment 16 Miloslav Trmač 2012-10-08 08:45:02 EDT
(In reply to comment #14)
> Spec URL:
> http://mbartos.fedorapeople.org/libmongo-client-0.1.5-6/libmongo-client.spec
> 
> Fixed. Thanks for review.

ACK
Comment 17 Jason Tibbitts 2012-10-08 12:32:09 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2012-10-09 03:07:19 EDT
libmongo-client-0.1.5-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmongo-client-0.1.5-6.fc17
Comment 19 Fedora Update System 2012-10-09 03:17:04 EDT
libmongo-client-0.1.5-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmongo-client-0.1.5-6.fc18
Comment 20 Fedora Update System 2012-10-09 13:23:27 EDT
libmongo-client-0.1.5-6.fc18 has been pushed to the Fedora 18 testing repository.
Comment 21 Tomas Heinrich 2014-07-28 09:04:01 EDT
Package Change Request
======================
Package Name: libmongo-client
New Branches: epel7
Owners: theinric czanik
Comment 22 Gwyn Ciesla 2014-07-28 09:07:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.